<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Don't access directly
};

/**
 * The list of flags
 *
 * For each flag:
 * the key is the flag file name (without the extension)
 * the value is the Country name
 */
$flags = array(
	'ad'        => __( 'Andorra', 'falang' ),
	'ae'        => __( 'United Arab Emirates', 'falang' ),
	'af'        => __( 'Afghanistan', 'falang' ),
	'ag'        => __( 'Antigua and Barbuda', 'falang' ),
	'ai'        => __( 'Anguilla', 'falang' ),
	'al'        => __( 'Albania', 'falang' ),
	'am'        => __( 'Armenia', 'falang' ),
	'an'        => __( 'Netherlands Antilles', 'falang' ),
	'ao'        => __( 'Angola', 'falang' ),
	'ar'        => __( 'Argentina', 'falang' ),
	'arab'      => __( 'Arab league', 'falang' ),
	'as'        => __( 'American Samoa', 'falang' ),
	'at'        => __( 'Austria', 'falang' ),
	'au'        => __( 'Australia', 'falang' ),
	'aw'        => __( 'Aruba', 'falang' ),
	'ax'        => __( 'Åland Islands', 'falang' ),
	'az'        => __( 'Azerbaijan', 'falang' ),
	'ba'        => __( 'Bosnia and Herzegovina', 'falang' ),
	'basque'    => __( 'Basque Country', 'falang' ),
	'bb'        => __( 'Barbados', 'falang' ),
	'bd'        => __( 'Bangladesh', 'falang' ),
	'be'        => __( 'Belgium', 'falang' ),
	'bf'        => __( 'Burkina Faso', 'falang' ),
	'bg'        => __( 'Bulgaria', 'falang' ),
	'bh'        => __( 'Bahrain', 'falang' ),
	'bi'        => __( 'Burundi', 'falang' ),
	'bj'        => __( 'Benin', 'falang' ),
	'bm'        => __( 'Bermuda', 'falang' ),
	'bn'        => __( 'Brunei', 'falang' ),
	'bo'        => __( 'Bolivia', 'falang' ),
	'br'        => __( 'Brazil', 'falang' ),
	'bs'        => __( 'Bahamas', 'falang' ),
	'bt'        => __( 'Bhutan', 'falang' ),
	'bw'        => __( 'Botswana', 'falang' ),
	'by'        => __( 'Belarus', 'falang' ),
	'bz'        => __( 'Belize', 'falang' ),
	'ca'        => __( 'Canada', 'falang' ),
	'catalonia' => __( 'Catalonia', 'falang' ),
	'cc'        => __( 'Cocos', 'falang' ),
	'cd'        => __( 'Democratic Republic of the Congo', 'falang' ),
	'cf'        => __( 'Central African Republic', 'falang' ),
	'cg'        => __( 'Congo', 'falang' ),
	'ch'        => __( 'Switzerland', 'falang' ),
	'ci'        => __( 'Ivory Coast', 'falang' ),
	'ck'        => __( 'Cook Islands', 'falang' ),
	'cl'        => __( 'Chile', 'falang' ),
	'cm'        => __( 'Cameroon', 'falang' ),
	'cn'        => __( 'China', 'falang' ),
	'co'        => __( 'Colombia', 'falang' ),
	'cr'        => __( 'Costa Rica', 'falang' ),
	'cu'        => __( 'Cuba', 'falang' ),
	'cv'        => __( 'Cape Verde', 'falang' ),
	'cx'        => __( 'Christmas Island', 'falang' ),
	'cy'        => __( 'Cyprus', 'falang' ),
	'cz'        => __( 'Czech Republic', 'falang' ),
	'de'        => __( 'Germany', 'falang' ),
	'dj'        => __( 'Djibouti', 'falang' ),
	'dk'        => __( 'Denmark', 'falang' ),
	'dm'        => __( 'Dominica', 'falang' ),
	'do'        => __( 'Dominican Republic', 'falang' ),
	'dz'        => __( 'Algeria', 'falang' ),
	'ec'        => __( 'Ecuador', 'falang' ),
	'ee'        => __( 'Estonia', 'falang' ),
	'eg'        => __( 'Egypt', 'falang' ),
	'eh'        => __( 'Western Sahara', 'falang' ),
	'england'   => __( 'England', 'falang' ),
	'er'        => __( 'Eritrea', 'falang' ),
	'es'        => __( 'Spain', 'falang' ),
	'esperanto' => __( 'Esperanto', 'falang' ),
	'et'        => __( 'Ethiopia', 'falang' ),
	'fi'        => __( 'Finland', 'falang' ),
	'fj'        => __( 'Fiji', 'falang' ),
	'fk'        => __( 'Falkland Islands', 'falang' ),
	'fm'        => __( 'Micronesia', 'falang' ),
	'fo'        => __( 'Faroe Islands', 'falang' ),
	'fr'        => __( 'France', 'falang' ),
	'ga'        => __( 'Gabon', 'falang' ),
	'galicia'   => __( 'Galicia', 'falang' ),
	'gb'        => __( 'United Kingdom', 'falang' ),
	'gd'        => __( 'Grenada', 'falang' ),
	'ge'        => __( 'Georgia', 'falang' ),
	'gh'        => __( 'Ghana', 'falang' ),
	'gi'        => __( 'Gibraltar', 'falang' ),
	'gl'        => __( 'Greenland', 'falang' ),
	'gm'        => __( 'Gambia', 'falang' ),
	'gn'        => __( 'Guinea', 'falang' ),
	'gp'        => __( 'Guadeloupe', 'falang' ),
	'gq'        => __( 'Equatorial Guinea', 'falang' ),
	'gr'        => __( 'Greece', 'falang' ),
	'gs'        => __( 'South Georgia and the South Sandwich Islands', 'falang' ),
	'gt'        => __( 'Guatemala', 'falang' ),
	'gu'        => __( 'Guam', 'falang' ),
	'gw'        => __( 'Guinea-Bissau', 'falang' ),
	'gy'        => __( 'Guyana', 'falang' ),
	'hk'        => __( 'Hong Kong', 'falang' ),
	'hm'        => __( 'Heard Island and McDonald Islands', 'falang' ),
	'hn'        => __( 'Honduras', 'falang' ),
	'hr'        => __( 'Croatia', 'falang' ),
	'ht'        => __( 'Haiti', 'falang' ),
	'hu'        => __( 'Hungary', 'falang' ),
	'id'        => __( 'Indonesia', 'falang' ),
	'ie'        => __( 'Republic of Ireland', 'falang' ),
	'il'        => __( 'Israel', 'falang' ),
	'in'        => __( 'India', 'falang' ),
	'io'        => __( 'British Indian Ocean Territory', 'falang' ),
	'iq'        => __( 'Iraq', 'falang' ),
	'ir'        => __( 'Iran', 'falang' ),
	'is'        => __( 'Iceland', 'falang' ),
	'it'        => __( 'Italy', 'falang' ),
	'jm'        => __( 'Jamaica', 'falang' ),
	'jo'        => __( 'Jordan', 'falang' ),
	'jp'        => __( 'Japan', 'falang' ),
	'ke'        => __( 'Kenya', 'falang' ),
	'kg'        => __( 'Kyrgyzstan', 'falang' ),
	'kh'        => __( 'Cambodia', 'falang' ),
	'ki'        => __( 'Kiribati', 'falang' ),
	'km'        => __( 'Comoros', 'falang' ),
	'kn'        => __( 'Saint Kitts and Nevis', 'falang' ),
	'kp'        => __( 'North Korea', 'falang' ),
	'kr'        => __( 'South Korea', 'falang' ),
	'kurdistan' => __( 'Kurdistan', 'falang' ),
	'kw'        => __( 'Kuwait', 'falang' ),
	'ky'        => __( 'Cayman Islands', 'falang' ),
	'kz'        => __( 'Kazakhstan', 'falang' ),
	'la'        => __( 'Laos', 'falang' ),
	'lb'        => __( 'Lebanon', 'falang' ),
	'lc'        => __( 'Saint Lucia', 'falang' ),
	'li'        => __( 'Liechtenstein', 'falang' ),
	'lk'        => __( 'Sri Lanka', 'falang' ),
	'lr'        => __( 'Liberia', 'falang' ),
	'ls'        => __( 'Lesotho', 'falang' ),
	'lt'        => __( 'Lithuania', 'falang' ),
	'lu'        => __( 'Luxembourg', 'falang' ),
	'lv'        => __( 'Latvia', 'falang' ),
	'ly'        => __( 'Libya', 'falang' ),
	'ma'        => __( 'Morocco', 'falang' ),
	'mc'        => __( 'Monaco', 'falang' ),
	'md'        => __( 'Moldova', 'falang' ),
	'me'        => __( 'Montenegro', 'falang' ),
	'mg'        => __( 'Madagascar', 'falang' ),
	'mh'        => __( 'Marshall Islands', 'falang' ),
	'mk'        => __( 'Macedonia', 'falang' ),
	'ml'        => __( 'Mali', 'falang' ),
	'mm'        => __( 'Myanmar', 'falang' ),
	'mn'        => __( 'Mongolia', 'falang' ),
	'mo'        => __( 'Macao', 'falang' ),
	'mp'        => __( 'Northern Mariana Islands', 'falang' ),
	'mq'        => __( 'Martinique', 'falang' ),
	'mr'        => __( 'Mauritania', 'falang' ),
	'ms'        => __( 'Montserrat', 'falang' ),
	'mt'        => __( 'Malta', 'falang' ),
	'mu'        => __( 'Mauritius', 'falang' ),
	'mv'        => __( 'Maldives', 'falang' ),
	'mw'        => __( 'Malawi', 'falang' ),
	'mx'        => __( 'Mexico', 'falang' ),
	'my'        => __( 'Malaysia', 'falang' ),
	'mz'        => __( 'Mozambique', 'falang' ),
	'na'        => __( 'Namibia', 'falang' ),
	'nc'        => __( 'New Caledonia', 'falang' ),
	'ne'        => __( 'Niger', 'falang' ),
	'nf'        => __( 'Norfolk Island', 'falang' ),
	'ng'        => __( 'Nigeria', 'falang' ),
	'ni'        => __( 'Nicaragua', 'falang' ),
	'nl'        => __( 'Netherlands', 'falang' ),
	'no'        => __( 'Norway', 'falang' ),
	'np'        => __( 'Nepal', 'falang' ),
	'nr'        => __( 'Nauru', 'falang' ),
	'nu'        => __( 'Niue', 'falang' ),
	'nz'        => __( 'New Zealand', 'falang' ),
	'occitania' => __( 'Occitania', 'falang' ),
	'om'        => __( 'Oman', 'falang' ),
	'pa'        => __( 'Panama', 'falang' ),
	'pe'        => __( 'Peru', 'falang' ),
	'pf'        => __( 'French Polynesia', 'falang' ),
	'pg'        => __( 'Papua New Guinea', 'falang' ),
	'ph'        => __( 'Philippines', 'falang' ),
	'pk'        => __( 'Pakistan', 'falang' ),
	'pl'        => __( 'Poland', 'falang' ),
	'pm'        => __( 'Saint Pierre and Miquelon', 'falang' ),
	'pn'        => __( 'Pitcairn', 'falang' ),
	'pr'        => __( 'Puerto Rico', 'falang' ),
	'ps'        => __( 'Palestinian Territory', 'falang' ),
	'pt'        => __( 'Portugal', 'falang' ),
	'pw'        => __( 'Belau', 'falang' ),
	'py'        => __( 'Paraguay', 'falang' ),
	'qa'        => __( 'Qatar', 'falang' ),
	'quebec'    => __( 'Quebec', 'falang' ),
	'ro'        => __( 'Romania', 'falang' ),
	'rs'        => __( 'Serbia', 'falang' ),
	'ru'        => __( 'Russia', 'falang' ),
	'rw'        => __( 'Rwanda', 'falang' ),
	'sa'        => __( 'Saudi Arabia', 'falang' ),
	'sb'        => __( 'Solomon Islands', 'falang' ),
	'sc'        => __( 'Seychelles', 'falang' ),
	'scotland'  => __( 'Scotland', 'falang' ),
	'sd'        => __( 'Sudan', 'falang' ),
	'se'        => __( 'Sweden', 'falang' ),
	'sg'        => __( 'Singapore', 'falang' ),
	'sh'        => __( 'Saint Helena', 'falang' ),
	'si'        => __( 'Slovenia', 'falang' ),
	'sk'        => __( 'Slovakia', 'falang' ),
	'sl'        => __( 'Sierra Leone', 'falang' ),
	'sm'        => __( 'San Marino', 'falang' ),
	'sn'        => __( 'Senegal', 'falang' ),
	'so'        => __( 'Somalia', 'falang' ),
	'sr'        => __( 'Suriname', 'falang' ),
	'ss'        => __( 'South Sudan', 'falang' ),
	'st'        => __( 'São Tomé and Príncipe', 'falang' ),
	'sv'        => __( 'El Salvador', 'falang' ),
	'sy'        => __( 'Syria', 'falang' ),
	'sz'        => __( 'Swaziland', 'falang' ),
	'tc'        => __( 'Turks and Caicos Islands', 'falang' ),
	'td'        => __( 'Chad', 'falang' ),
	'tf'        => __( 'French Southern Territories', 'falang' ),
	'tg'        => __( 'Togo', 'falang' ),
	'th'        => __( 'Thailand', 'falang' ),
	'tibet'     => __( 'Tibet', 'falang' ),
	'tj'        => __( 'Tajikistan', 'falang' ),
	'tk'        => __( 'Tokelau', 'falang' ),
	'tl'        => __( 'Timor-Leste', 'falang' ),
	'tm'        => __( 'Turkmenistan', 'falang' ),
	'tn'        => __( 'Tunisia', 'falang' ),
	'to'        => __( 'Tonga', 'falang' ),
	'tr'        => __( 'Turkey', 'falang' ),
	'tt'        => __( 'Trinidad and Tobago', 'falang' ),
	'tv'        => __( 'Tuvalu', 'falang' ),
	'tw'        => __( 'Taiwan', 'falang' ),
	'tz'        => __( 'Tanzania', 'falang' ),
	'ua'        => __( 'Ukraine', 'falang' ),
	'ug'        => __( 'Uganda', 'falang' ),
	'us'        => __( 'United States', 'falang' ),
	'uy'        => __( 'Uruguay', 'falang' ),
	'uz'        => __( 'Uzbekistan', 'falang' ),
	'va'        => __( 'Vatican', 'falang' ),
	'vc'        => __( 'Saint Vincent and the Grenadines', 'falang' ),
	've'        => __( 'Venezuela', 'falang' ),
	'veneto'    => __( 'Veneto', 'falang' ),
	'vg'        => __( 'British Virgin Islands', 'falang' ),
	'vi'        => __( 'United States Virgin Islands', 'falang' ),
	'vn'        => __( 'Vietnam', 'falang' ),
	'vu'        => __( 'Vanuatu', 'falang' ),
	'wales'     => __( 'Wales', 'falang' ),
	'wf'        => __( 'Wallis and Futuna', 'falang' ),
	'ws'        => __( 'Western Samoa', 'falang' ),
	'ye'        => __( 'Yemen', 'falang' ),
	'yt'        => __( 'Mayotte', 'falang' ),
	'za'        => __( 'South Africa', 'falang' ),
	'zm'        => __( 'Zambia', 'falang' ),
	'zw'        => __( 'Zimbabwe', 'falang' ),
);

/**
 * Filter the list of predefined flags
 *
 * @since 1.0
 *
 * @param array $flags
 */
$flags = apply_filters( 'falang_predefined_flags', $flags );
