<?php
/**
 * The file that defines the languages
 *
 * @link       www.faboba.com
 * @since      1.0.0
 *
 * @package    Falang
 */

namespace Falang\Translator;

class TranslatorDefault {
	protected $script = NULL;
	protected $defaultLanguage;

	public function __construct() {

	}

	public function installScripts ($from, $to) {


		// enqueue translatorYandex
		//TODO check version of script

		wp_register_script( 'translatorYandex', FALANG_ADMIN_URL  . '/js/'.$this->script, array( 'jquery' ), 1.0, true );
		wp_enqueue_script( 'translatorYandex' );

		$script = "var translator = {'from' : '".strtolower($from). "','to' : '".strtolower($to). "'};\n";
		wp_add_inline_script('translatorYandex',$script,'before');

	}

	public function languageCodeToISO ($language){
		$l = strtolower($language);
		return TranslatorDefault::$languageCodeInISO[$l];
	}

	public function getDefaultLanguage(){
		return $this->defaultLanguage;
	}


	static private $languageCodeInISO = array (
		'af_za' => 'AF',	// Afrikaans
		'sq_al' => 'AL', 	// Albanian
		'ar_aa' => 'AR', 	// Arabic unitag
		'hy_am' => 'HY', 	// Armenian
		'az_az' => 'AZ', 	// Azeri
		'eu_es' => 'EU', 	// Basque
		'be_by' => 'BY',	// Belarusian
		'bn_bd' => 'BN',	// Bengali
		'bs_ba' => 'BS', 	// Bosnian
		'bg_bg' => 'BU', 	// Bulgarian
		'ca_es' => 'CA',	// Catalan
		'ckb_iq' => 'KU', 	// Central Kurdish
		'zh_cn' => 'CN', 	// Chine simplified
		'zh_tw' => 'TW',	// Chinese traditional
		'hr_hr' => 'CR', 	// Croation
		'cs_cz' => 'CS',	// Czech
		'da_dk' => 'DK', 	// Danish
		// 'prs-AF' => '',		// Dari Persian
		'nl_nl' => 'NL', 	// Dutch
		'en_au' => 'EN', 	// English Australia
		// 'en-CA' => '',		// English Canadian
		'en_gb' => 'EN',	// Queen's English
		'en_us' => 'EN', 	// English US //Yandex don't suport us only en
		'eo_xx' => 'EO', 	// Esperanto
		'et_ee' => 'ET', 	// Estonian
		'fi_fi' => 'FI', 	// Finnish
		'nl_be' => 'NL', 	// Flemish
		'fr_fr' => 'FR', 	// French
		// 'fr-CA' => '',		// French Canadian
		'gl_es' => 'GZ', 	// Galcian
		'ka_ge' => 'KA',	// Georgian
		'de_de' => 'DE', 	// German
		'de_at' => 'AT',	// German
		'el_gr' => 'GR', 	// Greek
		'he_il' => 'IL',	// Hebrew
		'hi_in' => 'HI',	// Hindi
		'hu_hu' => 'HU', 	// Hungarian
		'id_id' => 'ID', 	// Indonesian
		'ga_IE' => 'GA',		// Irish
		'it_it' => 'IT', 	// Italian
		'ja_jp' => 'JP',	// Japanese
		'km_kh' => 'KM', 	// Khmer
		'ko_kr' => 'KR', 	// Korean
		'lo_la' => 'LO', 	// Loation
		'lv_lv' => 'LV', 	// Latvian
		'lt_lt' => 'LT', 	// Lithuanian
		'mk_mk' => 'MK',	// Macedonian
		'ml_in' => 'ML', 	// Malayalam
		'mn_mn' => 'MN',	// Mongolian
		'ms_MY' => 'MS',		// Malay
		'srp_ME' => 'SRP',		// Montenegrin
		'nb_no' => 'NO',	// Norwegian
		'nn_no' => 'NO', 	// Norwegian
		'fa_ir' => 'FA',	// Persian
		'pl_pl' => 'PL',	// Polish
		'pt_br'	=> 'BR',	// Portuguese Brazil
		'pt_pt' => 'PT',	// Portuuese
		'ro_ro' => 'RO',	// Romanian
		'ru_ru' => 'RU', 	// Russian
		'gd_gb' => 'GD', 	// Scottish Gaelic
		'sr_rs'	=> 'SR',	// Serbian Cyrillic
		'sr_yu' => 'SR',	// Serbian Latin
		'sk_sk' => 'SK', 	// Slovak
		'es_es' => 'ES',	// Spanish
		'sw_ke' => 'SI',	// Swahili
		'sv_se' => 'SW', 	// Swedish
		'sy_iq' => 'SYR',	// Syriac
		'ta_in' => 'TA', 	// Tamil
		'th_th' => 'TH',	// Thai
		'tr_tr' => 'TR',	// Turkish
		'uk_ua' => 'UA', 	// Ukrainian
		'ur_pk' => 'UR', 	// Urdu
		'ug_cn'	=> 'UG',	// Uyghur
		'vi_vn' => 'VU', 	// Vietnamese
		'cy_gb' => 'CY', 	// Welsh
	);
}